with import <nixpkgs> { };

stdenv.mkDerivation {
  name = "analistica";

  GMP_PATH = "${gmp}/lib";

  buildInputs = with pkgs; [
    # C dependencies
    gsl gmp pkgconfig

    # Python
    (python3.withPackages (p: [ p.numpy p.matplotlib ]))

    # misc
    gdb fish
  ];

  shellHook = "exec fish";
}
